%define api		2_2
%define major		22
%define libname		%mklibname ilmimf %{api} %{major}
%define develname	%mklibname %{name} -d

Name:		openexr
Summary:	A high dynamic-range (HDR) image file format
Version:	2.2.0
Release:	%mkrel 9
Source:		http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz
URL:		http://www.openexr.com
License:	BSD
Group:		Graphics/Utilities
BuildRequires:	ilmbase-devel >= %{version}
BuildRequires:	zlib-devel
Obsoletes:	OpenEXR < 2.2.0-7
Provides:	OpenEXR = %{version}-%{release}

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}OpenEXR22 < 2.2.0-7

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	OpenEXR-devel = %{version}-%{release}
Obsoletes:	%{_lib}OpenEXR-devel < 2.2.0-7

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}

%files
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib*%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Dec 28 2016 wally <wally> 2.2.0-9.mga6
+ Revision: 1078508
- obsolete old OpenEXR pkg

* Wed Dec 28 2016 wally <wally> 2.2.0-8.mga6
+ Revision: 1078475
- add provides for OpenEXR-devel

* Wed Dec 28 2016 wally <wally> 2.2.0-7.mga6
+ Revision: 1078452
- use lower case source pkg name
- fix lib pkg name (but keep old lower cased devel pkg name)

* Fri Feb 12 2016 umeabot <umeabot> 2.2.0-6.mga6
+ Revision: 956545
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 cjw <cjw> 2.2.0-5.mga6
+ Revision: 869264
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 739717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 686714
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 677645
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 luigiwalser <luigiwalser> 2.2.0-1.mga5
+ Revision: 666901
- 2.2.0
- library major is now 22

* Fri Apr 25 2014 shlomif <shlomif> 2.1.0-1.mga5
+ Revision: 617985
- New version 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 534405
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 477838
- br zlib
- try build normally
- fltk is not required
- disable test prog
- new version 2.0.1

* Fri Jan 11 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 345071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sun Dec 02 2012 fwang <fwang> 1.7.1-1.mga3
+ Revision: 324982
- new version 1.7.1

* Fri Jan 14 2011 mikala <mikala> 1.7.0-1.mga2
+ Revision: 18057
- Drop mdk macros
- Remove BuildRoot
- imported package OpenEXR

